Subject: bug#72230: 29.4; Cursor Disappears with Hebrew Text

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 Jul 2024 18:46:58 +0300

> From: hermann sorgel <[email-masked]>
> Date: Sun, 21 Jul 2024 17:20:50 +0300
> 
> I'm encountering an issue with cursor behavior in Emacs, and I'm hoping someone can help me resolve it.
> 
> When the cursor hovers over Hebrew text, it becomes invisible. Here are a few facts I've observed:
> - This only occurs with the cursor type set to 'bar'.
> - The "box" and other cursor types work without issues.
> - The "bar" cursor becomes visible if I make its size huge, like '(bar . 10).
> - There's a similar, but slightly different issue with Arabic text.
> 
> The issue was reproduced with Emacs 29.3 for Mac and emacs-plus 29.4, on macOS Sonoma 14.5 (23F79).
> Changing font and bidi settings haven't affected the issue. Neither has --no-init-file.

Thanks.  I cannot reproduce this on my system, but I'm not on macOS.
Maybe this is specific to macOS?  Can a macOS user please try
reproducing this?